Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038305
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-04-09 13:432020-03-05 16:39
ReporterSandrahuguetView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisionbb481c53449f
ProjectionnoneETAnoneTarget Version3.0PR20Q2
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date2020-04-01
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038305: The order of the combo is wrong using "unfiltered foreign key combo" in grid configuration.

DescriptionThe order of the combo is wrong using "unfiltered foreign key combo" in grid configuration.
Steps To ReproduceLog in the ERP as System Admin
 - Go to grid configuration at window/tab/field level
 - Create a new record to sales order window with defauld values
 - Navigate to field and create new one to Organization field
    * configure with all default values and "unfiltered foreign key combo" to yes
Change to The White Valley Group Admin role
 - Go to sales order window, open the combo and notice that the order is wrong.
   The combo is order by ad_org_id
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0042974 closedplatform Creating a grid configuration in a combo filter using 'Unfiltered Foreign Key Combo'=Yes the list of values appear not ordered 
related to defect 0038327 acknowledgedplatform Link to parent tree item ordering changes when a filter is set 

-  Notes
(0118345)
hgbot (developer)
2020-03-05 14:48

Repository: erp/devel/pi
Changeset: bb481c53449fcb497dba9f2b20655523e948d5a9
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Thu Feb 06 15:51:33 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/bb481c53449fcb497dba9f2b20655523e948d5a9 [^]

Fixes ISSUE-38305: Combo is ordered correctly when using unfiltered foreign key

Previously, combos with referenced values in grid weren't sorted correctly by identifier when "Unfiltered foreign key combo" option was set to true in grid configuration. Now the same order by is used as in the filtered combos.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0118349)
AugustoMauch (developer)
2020-03-05 16:39

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2018-04-09 13:43 Sandrahuguet New Issue
2018-04-09 13:43 Sandrahuguet Assigned To => platform
2018-04-09 13:43 Sandrahuguet Modules => Core
2018-04-09 13:43 Sandrahuguet Triggers an Emergency Pack => No
2018-04-09 15:08 shuehner Issue Monitored: shuehner
2018-04-09 15:09 Sandrahuguet Steps to Reproduce Updated View Revisions
2018-04-13 09:40 alostale Relationship added related to 0038327
2018-04-13 09:40 alostale Status new => acknowledged
2020-01-23 13:50 caristu Relationship added has duplicate 0042974
2020-01-28 16:29 alostale Regression date => 2020-04-01
2020-01-28 16:29 alostale Target Version => 3.0PR20Q2
2020-02-06 16:01 cberner Assigned To platform => cberner
2020-02-06 16:01 cberner Status acknowledged => scheduled
2020-02-06 16:01 cberner Review Assigned To => AugustoMauch
2020-03-05 14:48 hgbot Checkin
2020-03-05 14:48 hgbot Note Added: 0118345
2020-03-05 14:48 hgbot Status scheduled => resolved
2020-03-05 14:48 hgbot Resolution open => fixed
2020-03-05 14:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bb481c53449fcb497dba9f2b20655523e948d5a9 [^]
2020-03-05 16:39 AugustoMauch Note Added: 0118349
2020-03-05 16:39 AugustoMauch Status resolved => closed
2020-03-05 16:39 AugustoMauch Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker